const codes ={
  '-1': 'unknown error',
  '-2': 'need params',
  '-20': 'params error',
  '-3': 'need query',
  '-30': 'query error',
  '-4': 'need body',
  '-40': 'body error',
  '-5': 'need args',
  '-50': 'bad args',
  '-10': 'data not found',
  '-100': 'service fault',
  '-101': 'No login information detected, please log in again',
  '-101-1': 'Account login has expired, please log in again!',
  '-101-2': 'This account has been logged in elsewhere, please log in again!',
  '-102': 'bad password',
  '-500': 'request falut',
  '-3000': 'ElasticSearch error',
  '-3001': 'ElasticSearch error, index not found',
}
const errCodes = {}
const prefix = 'SERVICEERROR_'
for (const key in codes) {
  errCodes[`${prefix}${key}`] = codes[key]
}
export default {
  test: 'error language is: {locale}',
  ...errCodes,
};
