const codes ={
  '-1': '未知错误',
  '-2': '缺少params',
  '-20': 'params错误',
  '-3': '缺少query',
  '-30': '缺少query错误',
  '-4': '缺少body',
  '-40': 'body错误',
  '-5': '需要参数',
  '-50': '参数错误',
  '-10': '未找到数据',
  '-100': '服务发生错误',
  '-101': '未检测到登录信息,请重新登录!',
  '-101-1': '账号登录已失效,请重新登录!',
  '-101-2': '本账号已在其他地方登录,请重新登录!',
  '-102': '密码错误',
  '-500': '请求错误',
  '-3000': 'ElasticSearch发生错误',
  '-3001': 'ElasticSearch发生错误,未找到索引',
}
const errCodes = {}
const prefix = 'SERVICEERROR_'
for (const key in codes) {
  errCodes[`${prefix}${key}`] = codes[key]
}


export default {
  locale: '错误测试: {locale}',
  ...errCodes,
};
